# @(#)conf.m4 for dsyslog.c Shevek 1999
define(`_NO_DOT_', `[^\.]*')
define(`_WWW_', `^www')
define(`_NOT_WWW_', `!^www')
define(`_WWW_INDI_', `^www\.[^\.]*\.')
define(`_SUFFIX_', `\(org\|com\|co.uk\)$')
define(`_ANY_', `.')

define(`_ERR_OTHER_', `*.*;error404.none;cgisys.none;weblet.none')
define(`_ERR_404_', `error404.*')
define(`_ERR_CGI_', `cgisys.*')
define(`_ERR_JAVA_', `weblet.*')
define(`_ERR_ANY_', `*.*')

define(`MAKEGROUP',
	`
	define(`_S_$1_', `')
	define(`ADD_$1',
		`ifelse(len(_S_$1_), 0, `define(`_S_$1_', ''$`'1``)',
			`define(`_S_$1_', _S_$1_`, '''$`'1``)')
		')
	define(`DO_$1_ONE', '$`'1``	_ERR_404_	log-$1@lists.openworld.co.uk')
	define(`DO_$1',
		`ifelse('$`'#`, 0, , $#, 1, `DO_GROUP_ONE(`$1')',
				`DO_GROUP_ONE(`$1')DO_GROUPS(`shift($@)')')
		')

')

MAKEGROUP(`GROUP')
MAKEGROUP(`INDI')
defn(`MAKEGROUP')
defn(`ADD_GROUP')
defn(`DO_GROUP')

Indi is _S_INDI_

#define(`ADD_GROUP',
#	`ifelse(len(_S_GROUP_), 0, `define(`_S_GROUP_', `$1')',
#		`define(`_S_GROUP_', _S_GROUP_`, $1')')
#	')
#
#define(`ADD_INDI',
#	`ifelse(len(_S_GROUP_), 0, `define(`_S_GROUP_', `$1')',
#		`define(`_S_GROUP_', _S_GROUP_`, $1')')
#	')


define(`DO_GROUP_ONE', `$1	_ERR_404_	log-group@lists.openworld.co.uk
')

define(`DO_GROUPS',
	`ifelse($#, 0, , $#, 1, `DO_GROUP_ONE(`$1')',
			`DO_GROUP_ONE(`$1')DO_GROUPS(`shift($@)')')')

ADD_GROUP(`_WWW_\._NO_DOT_\._SUFFIX_')
ADD_INDI(`WWW_INDI_.*\._SUFFIX_')
ADD_INDI(`_NOT_WWW_')

Groups are _S_GROUP_

DO_GROUPS(_S_GROUP_)

anarres\.org				_ERR_ANY_	shevek@anarres.org

# Group sites
_WWW_\._NO_DOT_\._SUFFIX_	_ERR_404_	log-group@lists.openworld.co.uk

# Individual sites
_WWW_INDI_.*\._SUFFIX_		_ERR_404_	log-indi@lists.openworld.co.uk
_NOT_WWW_					_ERR_404_	log-indi@lists.openworld.co.uk

# Other stuff
_ANY_						_ERR_CGI_	log-cgi@lists.openworld.co.uk
_ANY_						_ERR_JAVA_	log-weblet@lists.openworld.co.uk

# Anything from the exclude list
_ANY_						_ERR_OTHER_	log-error@lists.openworld.co.uk
